version: '3'

services:
    db:
        image: mariadb:latest
        restart: always
        ports:
            - 3306:3306
        volumes:
            - database:/var/lib/mysql
        environment:
            MYSQL_DATABASE: ${DATABASE_NAME}
            MYSQL_USER: ${DATABASE_USER}
            MYSQL_PASSWORD: ${DATABASE_USER_PASSWORD}
            MYSQL_ROOT_PASSWORD: ${DATABASE_ROOT_PASSWORD}

    phpmyadmin:
        image: phpmyadmin:latest
        depends_on:
            - db
        restart: always
        ports:
            - 8080:80
        environment:
            PMA_HOST: db

    php-app:
        build:
            context: ./php-app
        depends_on:
            - db
        ports:
            - 8000:8000
        volumes:
            - ./app:/app

volumes:
    database: {}